Skip to main content
PATCH
Update a template group

Authorizations

Authorization
string
header
required

Your API key, e.g. sk_live_... or sk_test_....

Headers

Idempotency-Key
string

Optional. Makes this write safe to retry: the same key replays the first response instead of acting twice.

Maximum string length: 255

Path Parameters

group
string
required

Template group uuid.

Body

application/json
name
string
Maximum string length: 256
description
string
Maximum string length: 512
add_templates
string[]
Maximum array length: 500
remove_templates
string[]
Maximum array length: 500

Response

The updated group.

uuid
string
name
string
description
string | null
provider_group_id
string | null
templates
object[]
analytics
object | null

Results Meta reports for the group as a whole.

analytics_fetched_at
string<date-time> | null